# This file is responsible for configuring your application
# and its dependencies with the aid of the Mix.Config module.
#
# This configuration file is loaded before any dependency and
# is restricted to this project.

# General application configuration
use Mix.Config

config :charbase,
  ecto_repos: [Charbase.Repo]

# Configures the endpoint
config :charbase, CharbaseWeb.Endpoint,
  url: [host: "localhost"],
  secret_key_base: "ecAcYvNQOEiFk1jR8HoZqSJUW4D1RhM5GiNILZN4suNguI026MD1cKmN2DcP1LI4",
  render_errors: [view: CharbaseWeb.ErrorView, accepts: ~w(html json)],
  pubsub: [name: Charbase.PubSub, adapter: Phoenix.PubSub.PG2]

# Configures Elixir's Logger
config :logger, :console,
  format: "$time $metadata[$level] $message\n",
  metadata: [:request_id]

# Use Jason for JSON parsing in Phoenix
config :phoenix, :json_library, Jason

# Import environment specific config. This must remain at the bottom
# of this file so it overrides the configuration defined above.
import_config "#{Mix.env()}.exs"
