defmodule Charbase.User do
  use Ecto.Schema
  import Ecto.Changeset

  schema "users" do
    field :email, :string
    field :name, :string
    field :password, :string
    field :registered, :naive_datetime
    field :salt, :string

    timestamps()
  end

  @doc false
  def changeset(user, attrs) do
    user
    |> cast(attrs, [:name, :email, :password, :salt, :registered])
    |> validate_required([:name, :email, :password, :salt, :registered])
  end
end
