defmodule CharbaseWeb.Router do
  use CharbaseWeb, :router

  pipeline :browser do
    plug :accepts, ["html"]
    plug :fetch_session
    plug :fetch_flash
    plug :protect_from_forgery
    plug :put_secure_browser_headers
  end

  pipeline :api do
    plug :accepts, ["json"]
  end

  scope "/", CharbaseWeb do
    pipe_through :browser
    get "/", PageController, :index
    resources "/users", UserController
  end

  scope "/character", CharbaseWeb do
    pipe_through :browser
    get "/:char", CharacterController, :show
    get "/:char/edit", CharacterController, :edit
    get "/new", CharacterController, :new
  end


  # Other scopes may use custom stacks.
  # scope "/api", CharbaseWeb do
  #   pipe_through :api
  # end
end
